using GreadyPoang.Core;
using GreadyPoang.ViewModelLayer;

namespace GreadyPoang
{
    public partial class AppShell : Shell
    {
        private readonly IPageFactory _factory;

        public AppShell(IPageFactory factory, AppShellViewModel appShellView)
        {
            InitializeComponent();

            Routing.RegisterRoute("RoundStartingPage", typeof(Pages.RoundStartingPage));
            Routing.RegisterRoute("ParticipantListPage", typeof(Pages.ParticipantListPage));
            Routing.RegisterRoute("RoundRunningPage", typeof(Pages.RoundRunningPage));
            _factory = factory;
            BindingContext = appShellView;
        }
    }
}
